Package de.willuhn.jameica.hbci.gui.chart

# Interface ChartFeature

All Known Implementing Classes:
  `ChartFeatureTooltip`

public interface ChartFeature
Gemeinsames Interface fuer Features, die zu einem Chart nachgeruestet werden koennen.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ChartFeature.Context`
Hilfsklasse mit Meta-Informationen fuer das Feature.
`static enum`
`ChartFeature.Event`
Liste der Events, auf die ein Feature reagieren kann.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleEvent(ChartFeature.Event e, ChartFeature.Context ctx)`
Wird aufgerufen, wenn das angegebene Event ausgeloest wurde.
`boolean`
`onEvent(ChartFeature.Event e)`
Liefert true, wenn das Feature auf das angegebene Event reagieren soll.

## Method Details

### onEvent

boolean onEvent(ChartFeature.Event e)
Liefert true, wenn das Feature auf das angegebene Event reagieren soll.

Parameters:
  `e` - das Event.
Returns:
  true, wenn es auf das angegebene Event reagieren soll.

### handleEvent

void handleEvent(ChartFeature.Event e, ChartFeature.Context ctx)
Wird aufgerufen, wenn das angegebene Event ausgeloest wurde.

Parameters:
  `e` - das Event.
  `ctx` - Context-Infos.